Index: fact/tools/pyscripts/doc/_build/latex/pyfact.aux
===================================================================
--- fact/tools/pyscripts/doc/_build/latex/pyfact.aux	(revision 13151)
+++ fact/tools/pyscripts/doc/_build/latex/pyfact.aux	(revision 13324)
@@ -23,29 +23,82 @@
 \newlabel{introduction:introduction}{{1}{3}{Introduction\relax }{chapter.1}{}}
 \newlabel{introduction::doc}{{1}{3}{Introduction\relax }{chapter.1}{}}
-\@writefile{toc}{\contentsline {chapter}{\numberline {2}Classes}{5}{chapter.2}}
+\@writefile{toc}{\contentsline {section}{\numberline {1.1}Python version and modules used}{3}{section.1.1}}
+\newlabel{introduction:python-version-and-modules-used}{{1.1}{3}{Python version and modules used\relax }{section.1.1}{}}
+\@writefile{toc}{\contentsline {section}{\numberline {1.2}Style guide and coding conventions}{3}{section.1.2}}
+\newlabel{introduction:style-guide-and-coding-conventions}{{1.2}{3}{Style guide and coding conventions\relax }{section.1.2}{}}
+\@writefile{toc}{\contentsline {chapter}{\numberline {2}Getting Started}{5}{chapter.2}}
 \@writefile{lof}{\addvspace {10\p@ }}
 \@writefile{lot}{\addvspace {10\p@ }}
-\newlabel{classes:classes}{{2}{5}{Classes\relax }{chapter.2}{}}
-\newlabel{classes::doc}{{2}{5}{Classes\relax }{chapter.2}{}}
-\@writefile{toc}{\contentsline {section}{\numberline {2.1}pyfact.py}{5}{section.2.1}}
-\newlabel{classes:pyfact-py}{{2.1}{5}{pyfact.py\relax }{section.2.1}{}}
-\@writefile{toc}{\contentsline {subsection}{\numberline {2.1.1}rawdata access}{5}{subsection.2.1.1}}
-\newlabel{classes:rawdata-access}{{2.1.1}{5}{rawdata access\relax }{subsection.2.1.1}{}}
-\@writefile{toc}{\contentsline {subsection}{\numberline {2.1.2}fnames of a data run}{5}{subsection.2.1.2}}
-\newlabel{classes:fnames-of-a-data-run}{{2.1.2}{5}{fnames of a data run\relax }{subsection.2.1.2}{}}
-\@writefile{toc}{\contentsline {chapter}{\numberline {3}Examples}{7}{chapter.3}}
+\newlabel{getting_started:getting-started}{{2}{5}{Getting Started\relax }{chapter.2}{}}
+\newlabel{getting_started::doc}{{2}{5}{Getting Started\relax }{chapter.2}{}}
+\@writefile{toc}{\contentsline {section}{\numberline {2.1}1. Important links}{5}{section.2.1}}
+\newlabel{getting_started:important-links}{{2.1}{5}{1. Important links\relax }{section.2.1}{}}
+\@writefile{toc}{\contentsline {section}{\numberline {2.2}2. Environment variables}{5}{section.2.2}}
+\newlabel{getting_started:environment-variables}{{2.2}{5}{2. Environment variables\relax }{section.2.2}{}}
+\@writefile{toc}{\contentsline {section}{\numberline {2.3}3. Check out the repository}{6}{section.2.3}}
+\newlabel{getting_started:check-out-the-repository}{{2.3}{6}{3. Check out the repository\relax }{section.2.3}{}}
+\@writefile{toc}{\contentsline {section}{\numberline {2.4}4. Create pyfits\_h.so library}{6}{section.2.4}}
+\newlabel{getting_started:create-pyfits-h-so-library}{{2.4}{6}{4. Create pyfits\_h.so library\relax }{section.2.4}{}}
+\@writefile{toc}{\contentsline {section}{\numberline {2.5}5. Run examples}{6}{section.2.5}}
+\newlabel{getting_started:run-examples}{{2.5}{6}{5. Run examples\relax }{section.2.5}{}}
+\@writefile{toc}{\contentsline {chapter}{\numberline {3}Classes}{7}{chapter.3}}
 \@writefile{lof}{\addvspace {10\p@ }}
 \@writefile{lot}{\addvspace {10\p@ }}
-\newlabel{examples::doc}{{3}{7}{Examples\relax }{chapter.3}{}}
-\newlabel{examples:examples}{{3}{7}{Examples\relax }{chapter.3}{}}
-\@writefile{toc}{\contentsline {section}{\numberline {3.1}calling a system command}{7}{section.3.1}}
-\newlabel{examples:calling-a-system-command}{{3.1}{7}{calling a system command\relax }{section.3.1}{}}
-\@writefile{toc}{\contentsline {chapter}{\numberline {4}phyton in FACT}{9}{chapter.4}}
+\newlabel{getting_started:classes}{{3}{7}{Classes\relax }{chapter.3}{}}
+\@writefile{toc}{\contentsline {section}{\numberline {3.1}pyfact.py}{7}{section.3.1}}
+\newlabel{getting_started:pyfact-py}{{3.1}{7}{pyfact.py\relax }{section.3.1}{}}
+\@writefile{toc}{\contentsline {subsection}{\numberline {3.1.1}rawdata access}{7}{subsection.3.1.1}}
+\newlabel{getting_started:rawdata-access}{{3.1.1}{7}{rawdata access\relax }{subsection.3.1.1}{}}
+\newlabel{getting_started:pyfact.RawData}{{3.1.1}{7}{rawdata access\relax }{section*.3}{}}
+\newlabel{getting_started:pyfact.RawData.baseline_correct}{{3.1.1}{7}{rawdata access\relax }{section*.4}{}}
+\newlabel{getting_started:pyfact.RawData.baseline_read_values}{{3.1.1}{7}{rawdata access\relax }{section*.5}{}}
+\newlabel{getting_started:pyfact.RawData.board_times}{{3.1.1}{7}{rawdata access\relax }{section*.6}{}}
+\newlabel{getting_started:pyfact.RawData.calib_file}{{3.1.1}{7}{rawdata access\relax }{section*.7}{}}
+\newlabel{getting_started:pyfact.RawData.calibrate_drs_amplitude}{{3.1.1}{7}{rawdata access\relax }{section*.8}{}}
+\newlabel{getting_started:pyfact.RawData.data}{{3.1.1}{7}{rawdata access\relax }{section*.9}{}}
+\newlabel{getting_started:pyfact.RawData.data_file}{{3.1.1}{7}{rawdata access\relax }{section*.10}{}}
+\newlabel{getting_started:pyfact.RawData.info}{{3.1.1}{7}{rawdata access\relax }{section*.11}{}}
+\newlabel{getting_started:pyfact.RawData.nevents}{{3.1.1}{8}{rawdata access\relax }{section*.12}{}}
+\newlabel{getting_started:pyfact.RawData.next}{{3.1.1}{8}{rawdata access\relax }{section*.13}{}}
+\newlabel{getting_started:pyfact.RawData.next_event}{{3.1.1}{8}{rawdata access\relax }{section*.14}{}}
+\newlabel{getting_started:pyfact.RawData.npix}{{3.1.1}{8}{rawdata access\relax }{section*.15}{}}
+\newlabel{getting_started:pyfact.RawData.nroi}{{3.1.1}{8}{rawdata access\relax }{section*.16}{}}
+\newlabel{getting_started:pyfact.RawData.start_cells}{{3.1.1}{8}{rawdata access\relax }{section*.17}{}}
+\@writefile{toc}{\contentsline {subsection}{\numberline {3.1.2}fnames of a data run}{8}{subsection.3.1.2}}
+\newlabel{getting_started:fnames-of-a-data-run}{{3.1.2}{8}{fnames of a data run\relax }{subsection.3.1.2}{}}
+\newlabel{getting_started:pyfact.fnames}{{3.1.2}{8}{fnames of a data run\relax }{section*.18}{}}
+\newlabel{getting_started:pyfact.fnames.info}{{3.1.2}{8}{fnames of a data run\relax }{section*.19}{}}
+\newlabel{getting_started:pyfact.fnames.make}{{3.1.2}{8}{fnames of a data run\relax }{section*.20}{}}
+\@writefile{toc}{\contentsline {chapter}{\numberline {4}Classes}{9}{chapter.4}}
 \@writefile{lof}{\addvspace {10\p@ }}
 \@writefile{lot}{\addvspace {10\p@ }}
-\newlabel{python:phyton-in-fact}{{4}{9}{phyton in FACT\relax }{chapter.4}{}}
-\newlabel{python::doc}{{4}{9}{phyton in FACT\relax }{chapter.4}{}}
-\@writefile{toc}{\contentsline {chapter}{\numberline {5}Indices and tables}{11}{chapter.5}}
+\newlabel{classes:classes}{{4}{9}{Classes\relax }{chapter.4}{}}
+\newlabel{classes::doc}{{4}{9}{Classes\relax }{chapter.4}{}}
+\@writefile{toc}{\contentsline {section}{\numberline {4.1}pyfact.py}{9}{section.4.1}}
+\newlabel{classes:pyfact-py}{{4.1}{9}{pyfact.py\relax }{section.4.1}{}}
+\@writefile{toc}{\contentsline {subsection}{\numberline {4.1.1}rawdata access}{9}{subsection.4.1.1}}
+\newlabel{classes:rawdata-access}{{4.1.1}{9}{rawdata access\relax }{subsection.4.1.1}{}}
+\@writefile{toc}{\contentsline {subsection}{\numberline {4.1.2}fnames of a data run}{9}{subsection.4.1.2}}
+\newlabel{classes:fnames-of-a-data-run}{{4.1.2}{9}{fnames of a data run\relax }{subsection.4.1.2}{}}
+\newlabel{classes:pyfact.fnames}{{4.1.2}{9}{fnames of a data run\relax }{section*.21}{}}
+\newlabel{classes:pyfact.fnames.info}{{4.1.2}{9}{fnames of a data run\relax }{section*.22}{}}
+\newlabel{classes:pyfact.fnames.make}{{4.1.2}{9}{fnames of a data run\relax }{section*.23}{}}
+\@writefile{toc}{\contentsline {section}{\numberline {4.2}FIR filter functions}{9}{section.4.2}}
+\newlabel{classes:fir-filter-functions}{{4.2}{9}{FIR filter functions\relax }{section.4.2}{}}
+\@writefile{toc}{\contentsline {chapter}{\numberline {5}Examples}{11}{chapter.5}}
 \@writefile{lof}{\addvspace {10\p@ }}
 \@writefile{lot}{\addvspace {10\p@ }}
-\newlabel{index:indices-and-tables}{{5}{11}{Indices and tables\relax }{chapter.5}{}}
+\newlabel{examples::doc}{{5}{11}{Examples\relax }{chapter.5}{}}
+\newlabel{examples:examples}{{5}{11}{Examples\relax }{chapter.5}{}}
+\@writefile{toc}{\contentsline {section}{\numberline {5.1}calling a system command}{11}{section.5.1}}
+\newlabel{examples:calling-a-system-command}{{5.1}{11}{calling a system command\relax }{section.5.1}{}}
+\@writefile{toc}{\contentsline {chapter}{\numberline {6}phyton in FACT}{13}{chapter.6}}
+\@writefile{lof}{\addvspace {10\p@ }}
+\@writefile{lot}{\addvspace {10\p@ }}
+\newlabel{python:phyton-in-fact}{{6}{13}{phyton in FACT\relax }{chapter.6}{}}
+\newlabel{python::doc}{{6}{13}{phyton in FACT\relax }{chapter.6}{}}
+\@writefile{toc}{\contentsline {chapter}{\numberline {7}Indices and tables}{15}{chapter.7}}
+\@writefile{lof}{\addvspace {10\p@ }}
+\@writefile{lot}{\addvspace {10\p@ }}
+\newlabel{index:indices-and-tables}{{7}{15}{Indices and tables\relax }{chapter.7}{}}
+\@writefile{toc}{\contentsline {chapter}{Index}{17}{section*.24}}
Index: fact/tools/pyscripts/doc/_build/latex/pyfact.idx
===================================================================
--- fact/tools/pyscripts/doc/_build/latex/pyfact.idx	(revision 13151)
+++ fact/tools/pyscripts/doc/_build/latex/pyfact.idx	(revision 13324)
@@ -0,0 +1,21 @@
+\indexentry{RawData (class in pyfact)|hyperpage}{7}
+\indexentry{baseline\_correct() (pyfact.RawData method)|hyperpage}{7}
+\indexentry{baseline\_read\_values() (pyfact.RawData method)|hyperpage}{7}
+\indexentry{board\_times (pyfact.RawData attribute)|hyperpage}{7}
+\indexentry{calib\_file (pyfact.RawData attribute)|hyperpage}{7}
+\indexentry{calibrate\_drs\_amplitude() (pyfact.RawData method)|hyperpage}{7}
+\indexentry{data (pyfact.RawData attribute)|hyperpage}{7}
+\indexentry{data\_file (pyfact.RawData attribute)|hyperpage}{7}
+\indexentry{info() (pyfact.RawData method)|hyperpage}{7}
+\indexentry{nevents (pyfact.RawData attribute)|hyperpage}{8}
+\indexentry{next() (pyfact.RawData method)|hyperpage}{8}
+\indexentry{next\_event() (pyfact.RawData method)|hyperpage}{8}
+\indexentry{npix (pyfact.RawData attribute)|hyperpage}{8}
+\indexentry{nroi (pyfact.RawData attribute)|hyperpage}{8}
+\indexentry{start\_cells (pyfact.RawData attribute)|hyperpage}{8}
+\indexentry{fnames (class in pyfact)|hyperpage}{8}
+\indexentry{info() (pyfact.fnames method)|hyperpage}{8}
+\indexentry{make() (pyfact.fnames method)|hyperpage}{8}
+\indexentry{fnames (class in pyfact)|hyperpage}{9}
+\indexentry{info() (pyfact.fnames method)|hyperpage}{9}
+\indexentry{make() (pyfact.fnames method)|hyperpage}{9}
Index: fact/tools/pyscripts/doc/_build/latex/pyfact.ilg
===================================================================
--- fact/tools/pyscripts/doc/_build/latex/pyfact.ilg	(revision 13151)
+++ fact/tools/pyscripts/doc/_build/latex/pyfact.ilg	(revision 13324)
@@ -1,5 +1,7 @@
 This is makeindex, version 2.14 [02-Oct-2002] (kpathsea + Thai support).
 Scanning style file ./python.ist......done (6 attributes redefined, 0 ignored).
-Scanning input file pyfact.idx...done (0 entries accepted, 0 rejected).
-Nothing written in pyfact.ind.
+Scanning input file pyfact.idx....done (21 entries accepted, 0 rejected).
+Sorting entries....done (91 comparisons).
+Generating output file pyfact.ind....done (48 lines written, 0 warnings).
+Output written in pyfact.ind.
 Transcript written in pyfact.ilg.
Index: fact/tools/pyscripts/doc/_build/latex/pyfact.ind
===================================================================
--- fact/tools/pyscripts/doc/_build/latex/pyfact.ind	(revision 13151)
+++ fact/tools/pyscripts/doc/_build/latex/pyfact.ind	(revision 13324)
@@ -0,0 +1,48 @@
+\begin{theindex}
+\def\bigletter#1{{\Large\sffamily#1}\nopagebreak\vspace{1mm}}
+
+  \bigletter B
+  \item baseline\_correct() (pyfact.RawData method), \hyperpage{7}
+  \item baseline\_read\_values() (pyfact.RawData method), \hyperpage{7}
+  \item board\_times (pyfact.RawData attribute), \hyperpage{7}
+
+  \indexspace
+  \bigletter C
+  \item calib\_file (pyfact.RawData attribute), \hyperpage{7}
+  \item calibrate\_drs\_amplitude() (pyfact.RawData method), \hyperpage{7}
+
+  \indexspace
+  \bigletter D
+  \item data (pyfact.RawData attribute), \hyperpage{7}
+  \item data\_file (pyfact.RawData attribute), \hyperpage{7}
+
+  \indexspace
+  \bigletter F
+  \item fnames (class in pyfact), \hyperpage{8, 9}
+
+  \indexspace
+  \bigletter I
+  \item info() (pyfact.fnames method), \hyperpage{8, 9}
+  \item info() (pyfact.RawData method), \hyperpage{7}
+
+  \indexspace
+  \bigletter M
+  \item make() (pyfact.fnames method), \hyperpage{8, 9}
+
+  \indexspace
+  \bigletter N
+  \item nevents (pyfact.RawData attribute), \hyperpage{8}
+  \item next() (pyfact.RawData method), \hyperpage{8}
+  \item next\_event() (pyfact.RawData method), \hyperpage{8}
+  \item npix (pyfact.RawData attribute), \hyperpage{8}
+  \item nroi (pyfact.RawData attribute), \hyperpage{8}
+
+  \indexspace
+  \bigletter R
+  \item RawData (class in pyfact), \hyperpage{7}
+
+  \indexspace
+  \bigletter S
+  \item start\_cells (pyfact.RawData attribute), \hyperpage{8}
+
+\end{theindex}
Index: fact/tools/pyscripts/doc/_build/latex/pyfact.log
===================================================================
--- fact/tools/pyscripts/doc/_build/latex/pyfact.log	(revision 13151)
+++ fact/tools/pyscripts/doc/_build/latex/pyfact.log	(revision 13324)
@@ -1,3 +1,3 @@
-This is pdfeTeX, Version 3.141592-1.21a-2.2 (Web2C 7.5.4) (format=pdflatex 2011.2.7)  9 FEB 2012 10:54
+This is pdfeTeX, Version 3.141592-1.21a-2.2 (Web2C 7.5.4) (format=pdflatex 2012.3.14)  5 APR 2012 18:22
 entering extended mode
 **pyfact.tex
@@ -853,42 +853,75 @@
 ]
 Chapter 2.
+
+Underfull \hbox (badness 10000) in paragraph at lines 185--187
+[]\T1/ptm/m/n/10 here you find in-for-ma-tion
+ []
+
+[5]
+LaTeX Font Info:    Try loading font information for T1+pcr on input line 256.
+ (/usr/share/texmf/tex/latex/psnfss/t1pcr.fd
+File: t1pcr.fd 2001/06/04 font definitions for T1/pcr.
+) [6]
+Chapter 3.
 LaTeX Font Info:    Font shape `T1/phv/bx/n' in size <12> not available
-(Font)              Font shape `T1/phv/b/n' tried instead on input line 144.
-[5] [6
+(Font)              Font shape `T1/phv/b/n' tried instead on input line 292.
+LaTeX Font Info:    Font shape `T1/pcr/bx/n' in size <10> not available
+(Font)              Font shape `T1/pcr/b/n' tried instead on input line 296.
+[7
 
 ]
-Chapter 3.
-LaTeX Font Info:    Try loading font information for T1+pcr on input line 157.
-(/usr/share/texmf/tex/latex/psnfss/t1pcr.fd
-File: t1pcr.fd 2001/06/04 font definitions for T1/pcr.
-)
-LaTeX Font Info:    Font shape `T1/pcr/bx/n' in size <9> not available
-(Font)              Font shape `T1/pcr/b/n' tried instead on input line 158.
- [7] [8
-
-]
+Underfull \hbox (badness 10000) in paragraph at lines 447--447
+[]\T1/ptm/m/it/10 specifier=[`012', `023', `2011', `11', `24'], rpath='/scratch
+_nfs/res/bsl/',
+ []
+
+[8]
 Chapter 4.
-[9] [10
+
+Underfull \hbox (badness 10000) in paragraph at lines 496--496
+[]\T1/ptm/m/it/10 specifier=[`012', `023', `2011', `11', `24'], rpath='/scratch
+_nfs/res/bsl/',
+ []
+
+[9
+
+] [10
 
 ]
 Chapter 5.
-(./pyfact.ind) [11] (./pyfact.aux) ) 
+LaTeX Font Info:    Font shape `T1/pcr/bx/n' in size <9> not available
+(Font)              Font shape `T1/pcr/b/n' tried instead on input line 543.
+[11] [12
+
+]
+Chapter 6.
+[13] [14
+
+]
+Chapter 7.
+(./pyfact.ind [15] [16
+
+] [17
+
+
+]) (./pyfact.aux) ) 
 Here is how much of TeX's memory you used:
- 6304 strings out of 94500
- 79435 string characters out of 1176767
- 141408 words of memory out of 1000000
- 9299 multiletter control sequences out of 10000+50000
- 55746 words of font info for 63 fonts, out of 500000 for 2000
+ 6427 strings out of 94500
+ 81642 string characters out of 1176766
+ 145035 words of memory out of 1000000
+ 9363 multiletter control sequences out of 10000+50000
+ 68581 words of font info for 82 fonts, out of 500000 for 2000
  581 hyphenation exceptions out of 1000
- 34i,11n,45p,294b,379s stack positions out of 1500i,500n,5000p,200000b,5000s
+ 34i,11n,49p,370b,453s stack positions out of 1500i,500n,5000p,200000b,5000s
 PDF statistics:
- 131 PDF objects out of 300000
- 23 named destinations out of 131072
- 73 words of extra memory for PDF output out of 65536
-{/usr/share/texmf/fonts/enc/dvips/psnfss/8r
-.enc}</usr/share/texmf/fonts/type1/urw/times/utmri8a.pfb></usr/share/texmf/font
-s/type1/urw/courier/ucrr8a.pfb></usr/share/texmf/fonts/type1/urw/courier/ucrb8a
-.pfb></usr/share/texmf/fonts/type1/urw/times/utmb8a.pfb></usr/share/texmf/fonts
-/type1/urw/times/utmr8a.pfb></usr/share/texmf/fonts/type1/urw/helvetic/uhvbo8a.
-pfb></usr/share/texmf/fonts/type1/urw/helvetic/uhvb8a.pfb>
-Output written on pyfact.pdf (15 pages, 92569 bytes).
+ 281 PDF objects out of 300000
+ 69 named destinations out of 131072
+ 169 words of extra memory for PDF output out of 65536
+{/usr/share/texmf/fonts/enc/dvips/psnfss/8r.enc}</usr/share/
+texmf/fonts/type1/urw/helvetic/uhvr8a.pfb></usr/share/texmf/fonts/type1/urw/cou
+rier/ucrb8a.pfb></usr/share/texmf/fonts/type1/urw/courier/ucrr8a.pfb></usr/shar
+e/texmf/fonts/type1/urw/times/utmri8a.pfb></usr/share/texmf/fonts/type1/urw/tim
+es/utmb8a.pfb></usr/share/texmf/fonts/type1/urw/times/utmr8a.pfb></usr/share/te
+xmf/fonts/type1/urw/helvetic/uhvbo8a.pfb></usr/share/texmf/fonts/type1/urw/helv
+etic/uhvb8a.pfb>
+Output written on pyfact.pdf (21 pages, 154318 bytes).
Index: fact/tools/pyscripts/doc/_build/latex/pyfact.out
===================================================================
--- fact/tools/pyscripts/doc/_build/latex/pyfact.out	(revision 13151)
+++ fact/tools/pyscripts/doc/_build/latex/pyfact.out	(revision 13324)
@@ -1,7 +1,19 @@
 \BOOKMARK [0][-]{chapter.1}{Introduction}{}
-\BOOKMARK [0][-]{chapter.2}{Classes}{}
-\BOOKMARK [1][-]{section.2.1}{pyfact.py}{chapter.2}
-\BOOKMARK [0][-]{chapter.3}{Examples}{}
-\BOOKMARK [1][-]{section.3.1}{calling a system command}{chapter.3}
-\BOOKMARK [0][-]{chapter.4}{phyton in FACT}{}
-\BOOKMARK [0][-]{chapter.5}{Indices and tables}{}
+\BOOKMARK [1][-]{section.1.1}{Python version and modules used}{chapter.1}
+\BOOKMARK [1][-]{section.1.2}{Style guide and coding conventions}{chapter.1}
+\BOOKMARK [0][-]{chapter.2}{Getting Started}{}
+\BOOKMARK [1][-]{section.2.1}{1. Important links}{chapter.2}
+\BOOKMARK [1][-]{section.2.2}{2. Environment variables}{chapter.2}
+\BOOKMARK [1][-]{section.2.3}{3. Check out the repository}{chapter.2}
+\BOOKMARK [1][-]{section.2.4}{4. Create pyfits\137h.so library}{chapter.2}
+\BOOKMARK [1][-]{section.2.5}{5. Run examples}{chapter.2}
+\BOOKMARK [0][-]{chapter.3}{Classes}{}
+\BOOKMARK [1][-]{section.3.1}{pyfact.py}{chapter.3}
+\BOOKMARK [0][-]{chapter.4}{Classes}{}
+\BOOKMARK [1][-]{section.4.1}{pyfact.py}{chapter.4}
+\BOOKMARK [1][-]{section.4.2}{FIR filter functions}{chapter.4}
+\BOOKMARK [0][-]{chapter.5}{Examples}{}
+\BOOKMARK [1][-]{section.5.1}{calling a system command}{chapter.5}
+\BOOKMARK [0][-]{chapter.6}{phyton in FACT}{}
+\BOOKMARK [0][-]{chapter.7}{Indices and tables}{}
+\BOOKMARK [0][-]{section*.24}{Index}{}
Index: fact/tools/pyscripts/doc/_build/latex/pyfact.tex
===================================================================
--- fact/tools/pyscripts/doc/_build/latex/pyfact.tex	(revision 13151)
+++ fact/tools/pyscripts/doc/_build/latex/pyfact.tex	(revision 13324)
@@ -13,5 +13,5 @@
 
 \title{pyfact Documentation}
-\date{February 09, 2012}
+\date{April 05, 2012}
 \release{0.1}
 \author{Werner Lustermann}
@@ -135,4 +135,349 @@
 \end{itemize}
 
+If you are new to python you need to learn the basics. In any case it would be wise to study the following book:
+
+\emph{A Primer on Scientific Programming with Python - Hans Petter Langtangen}
+
+pyfact is supposed to follow closely the programming style thought in this book.
+
+\href{http://docs.python.org/}{python documentation pages}
+
+\href{http://www.astropython.org/resources}{astropython.org}
+
+
+\section{Python version and modules used}
+\label{introduction:python-version-and-modules-used}
+As long as you work on the ISDC FACT cluster most things should be just fine.
+{\color{red}\bfseries{}\textbar{}}python version: 2.6.6
+{\color{red}\bfseries{}\textbar{}}--- add later: list of modules
+
+
+\section{Style guide and coding conventions}
+\label{introduction:style-guide-and-coding-conventions}
+The code of pyfact follows the {\color{red}\bfseries{}{}`}Style Guide for python code \textless{}\href{http://www.python.org/dev/peps/pep-0008/}{http://www.python.org/dev/peps/pep-0008/}\textgreater{}.
+
+
+\chapter{Getting Started}
+\label{getting_started:getting-started}\label{getting_started::doc}\begin{enumerate}
+\item {} 
+Get an account at the FACT data center at ISDC
+
+\item {} 
+Setup your environment variables
+
+\item {} 
+Checkout the pyfact software repository
+
+\item {} 
+Try a few examples
+
+\end{enumerate}
+
+
+\section{1. Important links}
+\label{getting_started:important-links}\begin{description}
+\item[{\textbf{FACT data center at ISDC} \textless{}\href{http://www.isdc.unige.ch/fact/datacenter}{http://www.isdc.unige.ch/fact/datacenter}\textgreater{}**}] \leavevmode
+here you find instructions how to get an account, how to set it up and how to use it
+
+\item[{\textbf{SVN repository} \textless{}\href{https://fact.isdc.unige.ch/svn/fact/}{https://fact.isdc.unige.ch/svn/fact/}\textgreater{}}] \leavevmode
+hosts all FACT software (including pyfact)
+
+\item[{\textbf{FACT run database} \textless{}\href{https://www.fact-project.org/run\_db/db/fact\_runinfo.php}{https://www.fact-project.org/run\_db/db/fact\_runinfo.php}\textgreater{}}] \leavevmode
+here you find information about all available runs
+
+\item[{\textbf{eLogbook} \textless{}\href{https://www.fact-project.org/logbook/}{https://www.fact-project.org/logbook/}\textgreater{}}] \leavevmode
+telescope logbook used since Dec. 1, 2012; for logbook information before this date have a look here: \textless{}\href{http://fact.ethz.ch/FACTelog/index.jsp}{http://fact.ethz.ch/FACTelog/index.jsp}\textgreater{}
+
+\item[{\textbf{FACT La Palma pages} \textless{}\href{https://www.fact-project.org/}{https://www.fact-project.org/}\textgreater{}}] \leavevmode
+plenty of information concerning the telescope in La Palma
+
+\end{description}
+
+
+\section{2. Environment variables}
+\label{getting_started:environment-variables}
+set the following env variables depending on the SHELL you are using, for instance in .bashrc or .tcshrc
+\begin{itemize}
+\item {} 
+\textbf{ROOTSYS}: /swdev\_nfs/root\_v5.28.00
+
+\item {} 
+\textbf{PATH}: add \$ROOTSYS/bin
+
+\item {} 
+\textbf{PATH}: add /swdev\_nfs/FACT++
+
+\item {} 
+\textbf{LD\_LIBRARY\_PATH}: \$ROOTSYS/lib:/swdev\_nfs/FACT++/.libs
+
+\item {} 
+\textbf{PYTHONPATH}: \$ROOTSYS/lib
+
+\item {} \begin{description}
+\item[{\textbf{PYTHONPATH}: add all directories where python should search for modules. At least:}] \leavevmode\begin{itemize}
+\item {} 
+pyscripts/pyfact
+
+\item {} 
+pyscript/tools
+
+\item {} 
+pyscripts/ecamples
+
+\end{itemize}
+
+\end{description}
+
+\end{itemize}
+
+the absolute path depends on where you have checked (or will check) out the pyscripts repository
+
+
+\section{3. Check out the repository}
+\label{getting_started:check-out-the-repository}
+svn co \href{https://fact.isdc.unige.ch/svn/fact/tools/pyscripts/}{https://fact.isdc.unige.ch/svn/fact/tools/pyscripts/}
+
+
+\section{4. Create pyfits\_h.so library}
+\label{getting_started:create-pyfits-h-so-library}
+FACT data are stored in (gzipped) fits files, but the data files are too large to be read by the existing tools:
+
+\emph{pyfits \textless{}http://www.stsci.edu/institute/software\_hardware/pyfits\textgreater{}} which uses \href{http://heasarc.gsfc.nasa.gov/fitsio/}{cfitsio}.
+
+To mitigate this problem a C++ class defined in fits.h \footnote{
+fits.h (here named pyfits.h) is part of MARS and was written by T.Bretz, it was added to this repository for convienience
+} is used. A simple possibility to create an interface of this C++ class is to use ROOT and later to import it using the
+\href{http://root.cern.ch/drupal/category/package-context/pyroot}{pyroot} module.
+
+got to the directory: pyscripts/pyfact
+
+simple:
+
+\begin{Verbatim}[commandchars=@\[\]]
+@PYGZlb[]lusterma@PYGZat[]isdc-cn02 pyfact@PYGZrb[]@$ root
+ROOT 5.28/00 (trunk@PYGZat[]37585, Dec 14 2010, 15:20:27 on linuxx8664gcc)
+CINT/ROOT C/C++ Interpreter version 5.18.00, July 2, 2010
+Type ? for help. Commands must be C++ statements.
+Enclose multiple statements between { }.
+
+root @PYGZlb[]0@PYGZrb[] .L fits.h++
+Info in @textless[]TUnixSystem::ACLiC@textgreater[]: creating shared library /home@_nfs/isdc/lusterma/pyscripts/pyfact/./fits@_h.so
+root @PYGZlb[]1@PYGZrb[]
+\end{Verbatim}
+
+This might not work for whatenver reason then it should be done like this:
+
+\begin{Verbatim}[commandchars=@\[\]]
+@$rootcint -f my@_dict.C -c fits.h izstream.h
+@$g++ -fPIC -c -I@$ROOTSYS/include my@_dict.C -o my@_dict.o
+@$g++ -o fits@_h.so -shared my@_dict.o
+\end{Verbatim}
+
+Now you can check if the reading rawdata is working:
+
+\$ pyfact.py
+
+this should print some data from a few events
+
+
+\section{5. Run examples}
+\label{getting_started:run-examples}
+
+\chapter{Classes}
+\label{getting_started:classes}
+
+\section{pyfact.py}
+\label{getting_started:pyfact-py}
+
+\subsection{rawdata access}
+\label{getting_started:rawdata-access}\index{RawData (class in pyfact)}
+
+\begin{fulllineitems}
+\phantomsection\label{getting_started:pyfact.RawData}\pysiglinewithargsret{\strong{class }\code{pyfact.}\bfcode{RawData}}{\emph{data\_file\_name}, \emph{calib\_file\_name}, \emph{user\_action\_calib=\textless{}function \textless{}lambda\textgreater{} at 0xab028b4\textgreater{}}, \emph{baseline\_file\_name='`}, \emph{return\_dict=None}}{}
+raw data access and calibration
+\begin{itemize}
+\item {} 
+open raw data file and drs calibration file
+
+\item {} 
+performs amplitude calibration
+
+\item {} 
+performs baseline substraction if wanted
+
+\item {} 
+provides all data in an array:
+row = number of pixel
+col = length of region of interest
+
+\end{itemize}
+
+initialize object
+
+open data file and calibration data file
+get basic information about the data in data\_file\_name
+allocate buffers for data access
+
+data\_file\_name   : fits or fits.gz file of the data including the path
+calib\_file\_name : fits or fits.gz file containing DRS calibration data
+baseline\_file\_name : npy file containing the baseline values
+\index{baseline\_correct() (pyfact.RawData method)}
+
+\begin{fulllineitems}
+\phantomsection\label{getting_started:pyfact.RawData.baseline_correct}\pysiglinewithargsret{\bfcode{baseline\_correct}}{}{}
+subtract baseline from the data
+
+\end{fulllineitems}
+
+\index{baseline\_read\_values() (pyfact.RawData method)}
+
+\begin{fulllineitems}
+\phantomsection\label{getting_started:pyfact.RawData.baseline_read_values}\pysiglinewithargsret{\bfcode{baseline\_read\_values}}{\emph{file}, \emph{bsl\_hist='bsl\_sum/hplt\_mean'}}{}
+open ROOT file with baseline histogram and read baseline values
+file       name of the root file
+bsl\_hist   path to the histogram containing the basline values
+
+\end{fulllineitems}
+
+\index{board\_times (pyfact.RawData attribute)}
+
+\begin{fulllineitems}
+\phantomsection\label{getting_started:pyfact.RawData.board_times}\pysigline{\bfcode{board\_times}}{}
+time when the FAD was triggered, in some strange units...
+
+\end{fulllineitems}
+
+\index{calib\_file (pyfact.RawData attribute)}
+
+\begin{fulllineitems}
+\phantomsection\label{getting_started:pyfact.RawData.calib_file}\pysigline{\bfcode{calib\_file}}{}
+drs calibration file
+
+\end{fulllineitems}
+
+\index{calibrate\_drs\_amplitude() (pyfact.RawData method)}
+
+\begin{fulllineitems}
+\phantomsection\label{getting_started:pyfact.RawData.calibrate_drs_amplitude}\pysiglinewithargsret{\bfcode{calibrate\_drs\_amplitude}}{}{}
+perform the drs amplitude calibration of the event data
+
+\end{fulllineitems}
+
+\index{data (pyfact.RawData attribute)}
+
+\begin{fulllineitems}
+\phantomsection\label{getting_started:pyfact.RawData.data}\pysigline{\bfcode{data}}{}
+1D array with raw data
+
+\end{fulllineitems}
+
+\index{data\_file (pyfact.RawData attribute)}
+
+\begin{fulllineitems}
+\phantomsection\label{getting_started:pyfact.RawData.data_file}\pysigline{\bfcode{data\_file}}{}
+data file (fits object)
+
+\end{fulllineitems}
+
+\index{info() (pyfact.RawData method)}
+
+\begin{fulllineitems}
+\phantomsection\label{getting_started:pyfact.RawData.info}\pysiglinewithargsret{\bfcode{info}}{}{}
+print run information
+
+\end{fulllineitems}
+
+\index{nevents (pyfact.RawData attribute)}
+
+\begin{fulllineitems}
+\phantomsection\label{getting_started:pyfact.RawData.nevents}\pysigline{\bfcode{nevents}}{}
+number of events in the data run
+
+\end{fulllineitems}
+
+\index{next() (pyfact.RawData method)}
+
+\begin{fulllineitems}
+\phantomsection\label{getting_started:pyfact.RawData.next}\pysiglinewithargsret{\bfcode{next}}{}{}
+used by \_\_iter\_\_
+
+\end{fulllineitems}
+
+\index{next\_event() (pyfact.RawData method)}
+
+\begin{fulllineitems}
+\phantomsection\label{getting_started:pyfact.RawData.next_event}\pysiglinewithargsret{\bfcode{next\_event}}{}{}
+load the next event from disk and calibrate it
+
+\end{fulllineitems}
+
+\index{npix (pyfact.RawData attribute)}
+
+\begin{fulllineitems}
+\phantomsection\label{getting_started:pyfact.RawData.npix}\pysigline{\bfcode{npix}}{}
+number of pixels (should be 1440)
+
+\end{fulllineitems}
+
+\index{nroi (pyfact.RawData attribute)}
+
+\begin{fulllineitems}
+\phantomsection\label{getting_started:pyfact.RawData.nroi}\pysigline{\bfcode{nroi}}{}
+region of interest (number of DRS slices read)
+
+\end{fulllineitems}
+
+\index{start\_cells (pyfact.RawData attribute)}
+
+\begin{fulllineitems}
+\phantomsection\label{getting_started:pyfact.RawData.start_cells}\pysigline{\bfcode{start\_cells}}{}
+slice where drs readout started
+
+\end{fulllineitems}
+
+
+\end{fulllineitems}
+
+
+
+\subsection{fnames of a data run}
+\label{getting_started:fnames-of-a-data-run}\index{fnames (class in pyfact)}
+
+\begin{fulllineitems}
+\phantomsection\label{getting_started:pyfact.fnames}\pysiglinewithargsret{\strong{class }\code{pyfact.}\bfcode{fnames}}{\emph{specifier={[}`012', `023', `2011', `11', `24'{]}, rpath='/scratch\_nfs/res/bsl/', zipped=True}}{}
+organize file names of a FACT data run
+\begin{description}
+\item[{specifier}] \leavevmode{[}list of strings defined as:{]}
+{[} `DRS calibration file', `Data file', `YYYY', `MM', `DD'{]}
+
+\end{description}
+
+rpath     : directory path for the results; YYYYMMDD will be appended to rpath
+zipped    : use zipped (True) or unzipped (Data)
+\index{info() (pyfact.fnames method)}
+
+\begin{fulllineitems}
+\phantomsection\label{getting_started:pyfact.fnames.info}\pysiglinewithargsret{\bfcode{info}}{}{}
+print complete filenames
+
+\end{fulllineitems}
+
+\index{make() (pyfact.fnames method)}
+
+\begin{fulllineitems}
+\phantomsection\label{getting_started:pyfact.fnames.make}\pysiglinewithargsret{\bfcode{make}}{\emph{specifier}, \emph{rpath}, \emph{zipped}}{}
+create (make) the filenames
+
+names   : dictionary of filenames, tags \{ `data', `drscal', `results' \}
+data    : name of the data file
+drscal  : name of the drs calibration file
+results : radikal of file name(s) for results (to be completed  by suffixes)
+
+\end{fulllineitems}
+
+
+\end{fulllineitems}
+
+
 
 \chapter{Classes}
@@ -146,5 +491,45 @@
 
 \subsection{fnames of a data run}
-\label{classes:fnames-of-a-data-run}
+\label{classes:fnames-of-a-data-run}\index{fnames (class in pyfact)}
+
+\begin{fulllineitems}
+\phantomsection\label{classes:pyfact.fnames}\pysiglinewithargsret{\strong{class }\code{pyfact.}\bfcode{fnames}}{\emph{specifier={[}`012', `023', `2011', `11', `24'{]}, rpath='/scratch\_nfs/res/bsl/', zipped=True}}{}
+organize file names of a FACT data run
+\begin{description}
+\item[{specifier}] \leavevmode{[}list of strings defined as:{]}
+{[} `DRS calibration file', `Data file', `YYYY', `MM', `DD'{]}
+
+\end{description}
+
+rpath     : directory path for the results; YYYYMMDD will be appended to rpath
+zipped    : use zipped (True) or unzipped (Data)
+\index{info() (pyfact.fnames method)}
+
+\begin{fulllineitems}
+\phantomsection\label{classes:pyfact.fnames.info}\pysiglinewithargsret{\bfcode{info}}{}{}
+print complete filenames
+
+\end{fulllineitems}
+
+\index{make() (pyfact.fnames method)}
+
+\begin{fulllineitems}
+\phantomsection\label{classes:pyfact.fnames.make}\pysiglinewithargsret{\bfcode{make}}{\emph{specifier}, \emph{rpath}, \emph{zipped}}{}
+create (make) the filenames
+
+names   : dictionary of filenames, tags \{ `data', `drscal', `results' \}
+data    : name of the data file
+drscal  : name of the drs calibration file
+results : radikal of file name(s) for results (to be completed  by suffixes)
+
+\end{fulllineitems}
+
+
+\end{fulllineitems}
+
+
+
+\section{FIR filter functions}
+\label{classes:fir-filter-functions}
 
 \chapter{Examples}
Index: fact/tools/pyscripts/doc/_build/latex/pyfact.toc
===================================================================
--- fact/tools/pyscripts/doc/_build/latex/pyfact.toc	(revision 13151)
+++ fact/tools/pyscripts/doc/_build/latex/pyfact.toc	(revision 13324)
@@ -1,10 +1,24 @@
 \select@language {english}
 \contentsline {chapter}{\numberline {1}Introduction}{3}{chapter.1}
-\contentsline {chapter}{\numberline {2}Classes}{5}{chapter.2}
-\contentsline {section}{\numberline {2.1}pyfact.py}{5}{section.2.1}
-\contentsline {subsection}{\numberline {2.1.1}rawdata access}{5}{subsection.2.1.1}
-\contentsline {subsection}{\numberline {2.1.2}fnames of a data run}{5}{subsection.2.1.2}
-\contentsline {chapter}{\numberline {3}Examples}{7}{chapter.3}
-\contentsline {section}{\numberline {3.1}calling a system command}{7}{section.3.1}
-\contentsline {chapter}{\numberline {4}phyton in FACT}{9}{chapter.4}
-\contentsline {chapter}{\numberline {5}Indices and tables}{11}{chapter.5}
+\contentsline {section}{\numberline {1.1}Python version and modules used}{3}{section.1.1}
+\contentsline {section}{\numberline {1.2}Style guide and coding conventions}{3}{section.1.2}
+\contentsline {chapter}{\numberline {2}Getting Started}{5}{chapter.2}
+\contentsline {section}{\numberline {2.1}1. Important links}{5}{section.2.1}
+\contentsline {section}{\numberline {2.2}2. Environment variables}{5}{section.2.2}
+\contentsline {section}{\numberline {2.3}3. Check out the repository}{6}{section.2.3}
+\contentsline {section}{\numberline {2.4}4. Create pyfits\_h.so library}{6}{section.2.4}
+\contentsline {section}{\numberline {2.5}5. Run examples}{6}{section.2.5}
+\contentsline {chapter}{\numberline {3}Classes}{7}{chapter.3}
+\contentsline {section}{\numberline {3.1}pyfact.py}{7}{section.3.1}
+\contentsline {subsection}{\numberline {3.1.1}rawdata access}{7}{subsection.3.1.1}
+\contentsline {subsection}{\numberline {3.1.2}fnames of a data run}{8}{subsection.3.1.2}
+\contentsline {chapter}{\numberline {4}Classes}{9}{chapter.4}
+\contentsline {section}{\numberline {4.1}pyfact.py}{9}{section.4.1}
+\contentsline {subsection}{\numberline {4.1.1}rawdata access}{9}{subsection.4.1.1}
+\contentsline {subsection}{\numberline {4.1.2}fnames of a data run}{9}{subsection.4.1.2}
+\contentsline {section}{\numberline {4.2}FIR filter functions}{9}{section.4.2}
+\contentsline {chapter}{\numberline {5}Examples}{11}{chapter.5}
+\contentsline {section}{\numberline {5.1}calling a system command}{11}{section.5.1}
+\contentsline {chapter}{\numberline {6}phyton in FACT}{13}{chapter.6}
+\contentsline {chapter}{\numberline {7}Indices and tables}{15}{chapter.7}
+\contentsline {chapter}{Index}{17}{section*.24}
